RESTinio

Public Member Functions | List of all members
restinio::websocket::basic::impl::ws_connection_base_t Class Referenceabstract

WebSocket connection base. More...

`#include <ws_connection_base.hpp>`

Inheritance diagram for restinio::websocket::basic::impl::ws_connection_base_t:

## Public Member Functions
| ws_connection_base_t (connection_id_t id)
virtual void | shutdown ()=0
| Shutdown websocket. More...
virtual void | kill ()=0
| Kill websocket. More...
virtual void | init_read (ws_handle_t wsh)=0
| Start reading ws-messages. More...
virtual void | write_data (write_group_t wg, bool is_close_frame)=0
| Write pieces of outgoing data. More...
Public Member Functions inherited from restinio::tcp_connection_ctx_base_t
| tcp_connection_ctx_base_t (connection_id_t id)
virtual | ~tcp_connection_ctx_base_t ()=default
connection_id_t | connection_id () const noexcept
| Get connection id. More...
virtual void | check_timeout (std::shared_ptr< tcp_connection_ctx_base_t > &self)=0
| Check timeouts for all activities. More...

## Additional Inherited Members
Protected Member Functions inherited from restinio::tcp_connection_ctx_base_t
template<typename Derived >
std::shared_ptr< Derived > | shared_from_concrete ()
| Cast self to derived class. More...

## Detailed Description

WebSocket connection base.

Definition at line 37 of file ws_connection_base.hpp.

## Constructor & Destructor Documentation

## ◆ ws_connection_base_t()

restinio::websocket::basic::impl::ws_connection_base_t::ws_connection_base_t | ( | connection_id_t | id | ) |
| inline

Definition at line 41 of file ws_connection_base.hpp.

## Member Function Documentation

## ◆ init_read()

virtual void restinio::websocket::basic::impl::ws_connection_base_t::init_read | ( | ws_handle_t | wsh | ) |
| pure virtual

Start reading ws-messages.

Implemented in restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >.

## ◆ kill()

virtual void restinio::websocket::basic::impl::ws_connection_base_t::kill | ( |  | ) |
| pure virtual

Kill websocket.

Implemented in restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >.

## ◆ shutdown()

virtual void restinio::websocket::basic::impl::ws_connection_base_t::shutdown | ( |  | ) |
| pure virtual

Shutdown websocket.

Implemented in restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >.

## ◆ write_data()

virtual void restinio::websocket::basic::impl::ws_connection_base_t::write_data | ( | write_group_t | wg,
|  | bool | is_close_frame
| ) |  |
| pure virtual

Write pieces of outgoing data.

Implemented in restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >.

The documentation for this class was generated from the following file:

- restinio/websocket/impl/ws_connection_base.hpp